#include <QtGui/QMainWindow>

#ifndef ORIENTATION_H
#define ORIENTATION_H

class Orientation
{
public:
    enum ScreenOrientation {
        ScreenOrientationLockPortrait,
        ScreenOrientationLockLandscape,
        ScreenOrientationAuto
    };

    enum ShowMode {
        ShowModeFullScreen,
        ShowModeMaximized,
        ShowModeNormal
    };

    /*explicit Orientation();
    virtual ~Orientation();*/

    // Note that this will only have an effect on Symbian and Fremantle.
    static Qt::WidgetAttribute setOrientation(ScreenOrientation orientation);

    static int showMode();

};
#endif // ORIENTATION_H
